ChangeSet 1.879.76.1, 2003/01/13 17:25:34-08:00, patmans@us.ibm.com

[PATCH] USB storage sysfs fix

It looks like there is a missing scsi_set_device() call in scsiglue.c,
(similiar to what happens if we handled NULL dev pointer in scis_add_host)
so all the usb scsi devices end up under /sysfs/devices.

I don't have any usb mass storage devices, this patch against 2.5 bk
compiles but otherwise is not tested. It should put the usb-scsi mass
storage devices below the usb sysfs dev (I assume in your case under
/sysfs/devices/pci0/00:07.2/usb1/1-2/1-2.4/1-2.4.4).


diff -Nru a/drivers/usb/storage/scsiglue.c b/drivers/usb/storage/scsiglue.c
--- a/drivers/usb/storage/scsiglue.c	Wed Jan 15 15:00:15 2003
+++ b/drivers/usb/storage/scsiglue.c	Wed Jan 15 15:00:15 2003
@@ -90,6 +90,7 @@
 	if (us->host) {
 		us->host->hostdata[0] = (unsigned long)us;
 		us->host_no = us->host->host_no;
+		scsi_set_device(us->host, &us->pusb_dev->dev);
 		return 1;
 	}
 
